#include "External3DAPI.r"
#include "GenerateIvyDef.h"
#include "interfaceids.h"
#include "MCRTypes.r"
#include "CommandIdRanges.h"
#include "StandardBindingIds.h"
#include "MCFInterfaceIDs.h"

#ifndef qUsingResourceLinker
include "GenerateIvy.rsr";
#endif

resource 'PMap' (150)
{
	{
		'ivsz', 're32', noFlags, "Ivy Base Size", "",
		'ilsz', 're32', noFlags, "Ivy Leaf Base Size", "",
		'ibsz', 're32', noFlags, "Ivy Branch Base Size", "",
		'mfln', 're32', noFlags, "Max Branch Float Length", "",
		'madd', 're32', noFlags, "Max Branch Adhesion Distance", "",
		'priw', 're32', noFlags, "Primary Growth Weight", "",
		'rndw', 're32', noFlags, "Random Growth Weight", "",
		'grvw', 're32', noFlags, "Gravity Weight", "",
		'adhw', 're32', noFlags, "Adhesion Weight", "",
		'brpb', 're32', noFlags, "Branch Prune Percent", "",
		'lfpb', 're32', noFlags, "Leaf Prune Percent", "",
		'grst', 'in32', noFlags, "Number of grow steps", "",
		'lden', 'in32', noFlags, "Leaf Density Multiplier", "",
		'upos', 'bool', noFlags, "Use Poser Scaling", ""
	}
};


resource 'COMP' (150)
{
	kRID_SceneCommandFamilyID,
	'.fIv',
	"Generate Ivy",
	"Fenric",
	1,
	"1.0",
	"GNU GPL 2.0 - see the file README for details",
	kRDAPIVersion
};



resource 'GUID' (150)
{
	{
		R_IID_I3DExSceneCommand,
		R_CLSID_GenerateIvy
	}
};


resource 'scmd' (150)
{
	kThirdPartiesCmdIDBase + 900,
	defaultMenu,
	{
		'3Dvw',		// 3D View room
		'Stry',		// Storyboard room
	},
	kNoStrings,
	kDefaultName,
	kEditBindingGroupID,
	{ 
		kDefaultID,	kDefaultName,	'g',	kShift,		kNoCtrl,	kAlt,	kAnyPlatform; // default keybord shortcut is Shift + Alt + g
	},
	k3DViewBindingContextID
};


resource 'GUID' (200)
{
	{
		R_IID_IMFExPart,
		R_CLSID_GenerateIvyDlg
	}
};


resource 'COMP' (200)
{
	'part',
	'idlg',
	"Generate Ivy Dialog",
	"Fenric",
	1,
	"1.0",
	"Copyright 2010, Thomas T. Stocksdale",
	kRDAPIVersion
};


